> ## Documentation Index
> Fetch the complete documentation index at: https://rollout.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Task

> POST /tasks

`POST /tasks`

Base URL: `https://tms.universal.rollout.com/api`

## Parameters

No parameters.

## Responses

| Status | Description |
| ------ | ----------- |
| `201`  | Created     |
| `400`  | Bad Request |
| `409`  | Conflict    |

## OpenAPI Source

`/openapi/tms.json POST /tasks`


## OpenAPI

````yaml /openapi/tms.json POST /tasks
openapi: 3.0.3
info:
  title: Universal TMS API Documentation
  description: Development documentation
  version: '1.0'
servers:
  - url: https://tms.universal.rollout.com/api
security: []
paths:
  /tasks:
    post:
      tags:
        - Tasks
      summary: Create Task
      operationId: post_tasks
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  anyOf:
                    - type: string
                type:
                  anyOf:
                    - type: string
                assignedUserId:
                  anyOf:
                    - type: string
                isCompleted:
                  anyOf:
                    - type: boolean
                dueDateTime:
                  anyOf:
                    - type: string
              required:
                - personId
          multipart/form-data:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  anyOf:
                    - type: string
                type:
                  anyOf:
                    - type: string
                assignedUserId:
                  anyOf:
                    - type: string
                isCompleted:
                  anyOf:
                    - type: boolean
                dueDateTime:
                  anyOf:
                    - type: string
              required:
                - personId
          text/plain:
            schema:
              type: object
              properties:
                personId:
                  type: string
                name:
                  anyOf:
                    - type: string
                type:
                  anyOf:
                    - type: string
                assignedUserId:
                  anyOf:
                    - type: string
                isCompleted:
                  anyOf:
                    - type: boolean
                dueDateTime:
                  anyOf:
                    - type: string
              required:
                - personId
      responses:
        '201':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            multipart/form-data:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
            text/plain:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  type:
                    type: string
                  personId:
                    anyOf:
                      - type: string
                    nullable: true
                  assignedUserId:
                    anyOf:
                      - type: string
                    nullable: true
                  dueDateTime:
                    anyOf:
                      - type: string
                    nullable: true
                  isCompleted:
                    anyOf:
                      - type: boolean
                    nullable: true
                  created:
                    anyOf:
                      - type: string
                    nullable: true
                  updated:
                    anyOf:
                      - type: string
                    nullable: true
                  rolloutUpdated:
                    type: string
                  originalIds:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: number
                        - type: string
                  original:
                    type: object
                    additionalProperties:
                      type: object
                      additionalProperties: {}
                required:
                  - id
                  - name
                  - type
                  - personId
                  - assignedUserId
                  - dueDateTime
                  - isCompleted
                  - created
                  - updated
                  - rolloutUpdated
                  - originalIds
                  - original
          description: Created
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Bad Request
        '409':
          content:
            application/json:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            multipart/form-data:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
            text/plain:
              schema:
                type: object
                properties:
                  errorMessage:
                    type: string
                required:
                  - errorMessage
          description: Conflict
      security:
        - jwt: []
          credential_id: []
components: {}

````